package com.cyksj.model.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ejlchina.searcher.bean.DbIgnore;
import lombok.Getter;
import lombok.Setter;

/**
 * 项目名: yhlxj
 * 文件名: CorpUserPayIntention
 * 创建者: JavaZou
 * 创建时间:2024/5/7 17:01
 */
@Getter
@Setter
public class CorpUserPayIntention extends BaseEntity {
	private String unionId;

	/**
	 * 意向 0无回复 1无意向 2.问相关问题 3有意向 4很有意向
	 */
	private Integer intention;

	@DbIgnore
	@TableField(exist = false)
	private String followId;


	@Getter
	public enum Intention {
		whf("无回复", "etvj2DPQAA13a2LWPMwCikcmnp6T40FA"),
		wyx("无意向", "etvj2DPQAASnQouiyPZD9el0QLLSNs8Q"),
		wxgwt("问相关问题", "etvj2DPQAAUOcl8WGtkF27Ul_V7ixF4A"),
		yyx("有意向", "etvj2DPQAA41WEz2wXpuLlf1XzKTnK9g"),
		hyyx("很有意向", "etvj2DPQAAPQOeqPoY-ByfdmCrC3PDkw");
		String tagName;

		String tagId;

		Intention(String tagName, String tagId) {
			this.tagName = tagName;
			this.tagId = tagId;
		}
	}
}
